org.apache.geode.modules.session.bootstrap

## Class PeerToPeerCache

- java.lang.Object
- - org.apache.geode.modules.session.bootstrap.AbstractCache
  - - org.apache.geode.modules.session.bootstrap.PeerToPeerCache

-     public class PeerToPeerCache
      extends AbstractCache

  This is a singleton class which maintains configuration properties as well as starting a Peer-To-Peer cache.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `DEFAULT_CACHE_XML_FILE_NAME`

    - ### Fields inherited from class org.apache.geode.modules.session.bootstrap.AbstractCache

      `cache, criticalHeapPercentage, DEFAULT_CRITICAL_HEAP_PERCENTAGE, DEFAULT_EVICTION_HEAP_PERCENTAGE, DEFAULT_LOG_FILE_NAME, DEFAULT_STATISTIC_ARCHIVE_FILE_NAME, evictionHeapPercentage, gemfireProperties, instance, LOGGER, rebalance`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createOrRetrieveCache()`
    `protected java.lang.String` | `getDefaultCacheXmlFileName()`
    `static AbstractCache` | `getInstance()`
    `protected void` | `rebalanceCache()`

    - ### Methods inherited from class org.apache.geode.modules.session.bootstrap.AbstractCache

      `close, closeCache, createDistributedSystemProperties, getCache, getCacheXmlFile, getCacheXmlFileName, getCriticalHeapPercentage, getEvictionHeapPercentage, getGemFireProperties, getLogFile, getLogFileName, getLogger, getRebalance, getStatisticArchiveFile, getStatisticArchiveFileName, initializeResourceManager, isStarted, lifecycleEvent, setCriticalHeapPercentage, setEvictionHeapPercentage, setProperty, setRebalance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CACHE_XML_FILE_NAME

          protected static final java.lang.String DEFAULT_CACHE_XML_FILE_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static AbstractCache getInstance()

    - #### createOrRetrieveCache

          protected void createOrRetrieveCache()

      Specified by:
        `createOrRetrieveCache` in class `AbstractCache`

    - #### rebalanceCache

          protected void rebalanceCache()

      Specified by:
        `rebalanceCache` in class `AbstractCache`

    - #### getDefaultCacheXmlFileName

          protected java.lang.String getDefaultCacheXmlFileName()

      Specified by:
        `getDefaultCacheXmlFileName` in class `AbstractCache`